CUPTI (PDF) - v9.2.88 (older) - Last updated April 12, 2018 - Send Feedback

## 3.50. CUpti_ActivityPCSampling Struct Reference

## [CUPTI Activity API]

This activity records information obtained by sampling PC (CUPTI_ACTIVITY_KIND_PC_SAMPLING). PC sampling activities are now reported using the CUpti_ActivityPCSampling2 activity record.

### Public Variables

uint32_t correlationId
CUpti_ActivityFlag flags
uint32_t functionId
CUpti_ActivityKind kind
uint32_t pcOffset
uint32_t samples
uint32_t sourceLocatorId
CUpti_ActivityPCSamplingStallReason stallReason

### Variables

uint32_t CUpti_ActivityPCSampling::correlationId [inherited]

  The correlation ID of the kernel to which this result is associated.

CUpti_ActivityFlag CUpti_ActivityPCSampling::flags [inherited]

  The properties of this instruction.

uint32_t CUpti_ActivityPCSampling::functionId [inherited]

  Correlation ID with global/device function name

CUpti_ActivityKind CUpti_ActivityPCSampling::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_PC_SAMPLING.

uint32_t CUpti_ActivityPCSampling::pcOffset [inherited]

  The pc offset for the instruction.

uint32_t CUpti_ActivityPCSampling::samples [inherited]

  Number of times the PC was sampled with the stallReason in the record. The same PC can be sampled with different stall reasons.

uint32_t CUpti_ActivityPCSampling::sourceLocatorId [inherited]

  The ID for source locator.

CUpti_ActivityPCSamplingStallReason CUpti_ActivityPCSampling::stallReason [inherited]

  Current stall reason. Includes one of the reasons from CUpti_ActivityPCSamplingStallReason